mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Runtime.InteropServices.ComVisible(true)

Indicates the source or destination of the bits that the formatter uses. Classes with surrogates or that implement can serialize or ignore fields and values based on the information stored in the streaming context. For example, a window handle is still valid if the property is set to System.Runtime.Serialization.StreamingContextStates.CrossProcess.

Describes the source and destination of a given serialized stream, and provides an additional caller-defined context.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with a given context state.

  A bitwise combination of the values that specify the source or destination context for this .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with a given context state, and some additional information.

  A bitwise combination of the values that specify the source or destination context for this .
  Any additional information to be associated with the . This information is available to any object that implements or any serialization surrogate. Most users do not need to set this parameter.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  Can be null.

  Gets context specified as part of the additional context.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two code groups are equivalent if they have the same and .

  Determines whether two instances contain the same values.

  true if the specified object is an instance of and equals the value of the current instance; otherwise, false.

  An object to compare with the current instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns a hash code of this object.

  The value that contains the source or destination of the serialization for this .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added: an object of type 'StreamingContextStates'

  During serialization, the current property specifies the destination of the transmitted data. For example, when serializing data from cross-AppDomain remoting, the is . During deserialization, the state indicates the source of the deserialized stream.

  Gets the source or destination of the transmitted data.